Bug 635532 - System boot on Gateway 4025GZ laptop hangs at udev
System boot on Gateway 4025GZ laptop hangs at udev
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-20 01:55 EDT by Steve D...
Modified: 2011-06-28 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve D... 2010-09-20 01:55:51 EDT
Description of problem:

  System boot of Gateway 4025GZ laptop hangs at udev.  The machine never boots into Fedora.  

Version-Release number of selected component (if applicable):

Fedora 13, tested with both install distro and latest YUM updates.  

Package - udev-153-3.fc13.i686

How reproducible:

  It happens every time.  It also happened with Fedora 12.  I haven't been able to upgrade this laptop from Win XP to Fedora because of the boot hang.  

Steps to Reproduce:
1. Install Fedora 13.
2. First boot into OS
3. Boot process stops at "Starting udev:" message.  
  
Actual results:

Boot process hangs at udev.  

Expected results:

System should boot into Fedora. 

Additional info:

  I have debugged the boot process using print commands.  The boot process hangs in /sbin/start_udev at the command "wait_for_queue $udevtimeout" on line 318.  

        /sbin/udevadm trigger --action=add
        ret=$[$ret + $?]
        wait_for_queue $udevtimeout  <--- Hangs at this command 
        ret=$[$ret + $?]
        wait
        ret=$[$ret + $?]
        /sbin/udevadm control --env=STARTUP=
Comment 1 Harald Hoyer 2010-09-20 07:14:09 EDT
Boot with "modprobedebug" and without "rhgb quiet" on the kernel command line, and try to find out, which kernel module causes the hangup.
Comment 2 Steve D... 2010-09-21 23:20:39 EDT
  The boot log doesn't get saved on the local disk.  I had to hand copy the following lines...

	Press 'I' to enter interactive startup. 
...
Starting udev:
Loading modules for acpi:LNXCPU: in 5 seconds
cat: /sys/devices/platform/Fixed: No such file or directory
cat: MDIO: No such file or directory
cat: bus.0/modalias: No such file or directory
Loading modules for:input:b0019v000p0001e0000-e0,1,k74,ramlsfw in 5 seconds
Loading modules for:LNXPWRBN: in 5 seconds
Loading modules for:ACPI0003
Loading modules for:LNXSYBUS
Loading modules for:device: in 5 seconds
Loading modules for:device: in 5 seconds
Loading modules for:device: in 5 seconds
Loading modules for:device: in 5 seconds
Loading modules for:device: in 5 seconds
Loading modules for:device: in 5 seconds
Loading modules for:INT0800: in 5 seconds
Loading modules for:PNP0000: in 5 seconds
Loading modules for:PNP0100: in 5 seconds
...
<it doesn't actually load a module until>
insmod /lib/modules/2.6.34.6-54.fc13.i386.PAE/kernel/drivers/usb/serial/usbserial.ko 
...

  This same system currently boots fine into Win XP.  The Fedora installer seems to run OK until the first reboot.  The Fedora 13 "rescue" mode also runs OK and mounts the hard drive as /mnt/sysimage/.
Comment 3 Harald Hoyer 2010-09-22 03:28:41 EDT
/lib/modules/2.6.34.6-54.fc13.i386.PAE/kernel/drivers/usb/serial/usbserial.ko 

Is this the last line you see before your boot stops?
Comment 4 Harald Hoyer 2010-09-22 03:29:47 EDT
you can also take a "screenshot" with a camera and attach the jpg
Comment 5 Steve D... 2010-09-22 09:48:59 EDT
The last line reads: 

Triggering Rest

  It looks like there are a lot a failures before it gets to that point.  I did a modprobedebug on an IBM R52 laptop running F13.  It showed modules being inserted during the beginning of the boot that do not happen on the Gateway 4025GZ.  

  I'll try to get some photos of the screens this evening.
Comment 6 Bug Zapper 2011-05-31 09:03:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-28 08:36:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.